-- Load the cargoShip-library
local cargoShip = LibStub("LibCargoShip-2.1")

local PetBattleHide		= true
--Set to false if you want to have it to be seen on Pet Battle.

--[[-----------------------------------------------------------------------------
Main frame
-------------------------------------------------------------------------------]]
local f1 = CreateFrame("frame", "wBroker", UIParent)
f1:SetPoint("CENTER", UIParent, 38, -197)
f1:SetWidth(189) f1:SetHeight(65)
f1:SetBackdropColor(54/255, 54/255, 54/255)
f1:Show()
f1:SetScale(0.8)
f1:SetFrameStrata("HIGH")

f1:SetBackdrop({ bgFile = "interface\\Tooltips\\UI-Tooltip-Background", 
edgeFile = "Interface\\Tooltips\\UI-Tooltip-Border", tile = 1, tileSize = 16, 
edgeSize = 16, insets = { left = 3, right = 3, top = 3, bottom = 3 } });

f1:EnableMouse(true)
f1:SetMovable(true)
f1:RegisterForDrag("LeftButton")
f1:SetScript("OnDragStart", function(self) if IsShiftKeyDown() then  self:StartMoving() end end)
f1:SetScript("OnDragStop", function(self) self:StopMovingOrSizing() end)
--f1:SetUserPlaced(true)

--[[-----------------------------------------------------------------------------
fps,memory,ping
-------------------------------------------------------------------------------]]
local LPspacing = 10

local fps = cargoShip("Broker_FPS",{
parent = equip,
noIcon = true,
})
fps:SetFrameStrata("HIGH")
fps:SetPoint("BOTTOMLEFT", f1, 6, 6)

local memory = cargoShip("Broker_Memory",{
parent = fps,
noIcon = true,
})
memory:SetFrameStrata("HIGH")
memory:SetPoint("BOTTOMLEFT", f1, 6, 21)

local ping = cargoShip("Broker_Latency",{
parent = fps,
noIcon = true,
})
ping:SetFrameStrata("HIGH")
ping:SetPoint("BOTTOMLEFT", f1, 20, 36)

--[[-----------------------------------------------------------------------------
money,durability,honor
-------------------------------------------------------------------------------]]
local RPspacing = 10

local money = cargoShip("Money",{
width = 60,
scale = 1.2,
alpha = 1,
noIcon = true,
})
money:SetFrameStrata("HIGH")
money:SetPoint("BOTTOMRIGHT", f1, -5, 6)

local durability = cargoShip("Durability",{
parent = money,
noIcon = true,
})
durability:SetFrameStrata("HIGH")
durability:SetPoint("BOTTOMRIGHT", f1, -5, 16)

--[[
-- Show honor display only in battleground and then hide xp
local f = CreateFrame"Frame"
f:SetScript("OnEvent", function(self, event)
	if(select(2, IsInInstance()) == "pvp") then
		honor:Show()
		xp:Hide()
	else
		honor:Hide()
		xp:Show()
	end
end)
f:RegisterEvent"PLAYER_ENTERING_WORLD"]]

--[[-----------------------------------------------------------------------------
Pet Battle Hide/Show
-------------------------------------------------------------------------------]]
if PetBattleHide then
local PetBattle = CreateFrame('Frame')

local function OnEvent(self, event, ...)

    if ( event =="PET_BATTLE_OPENING_START") then
			f1:Hide()
                        durability:Hide()
                        money:Hide()
                        ping:Hide()
                        memory:Hide()
                        fps:Hide()
		end
	if ( event =="PET_BATTLE_CLOSE") then
			f1:Show()
                        durability:Show()
                        money:Show()
                        ping:Show()
                        memory:Show()
                        fps:Show()
		end
end

PetBattle:SetScript('OnEvent', OnEvent)
PetBattle:RegisterEvent("PET_BATTLE_OPENING_START")
PetBattle:RegisterEvent("PET_BATTLE_CLOSE")
end

print("|cff3399FFw|rBroder: Loaded|r");